org.eclipse.rdf4j.http.protocol.transaction.operations

## Class ContextOperation

- java.lang.Object
- - org.eclipse.rdf4j.http.protocol.transaction.operations.ContextOperation

- All Implemented Interfaces:
    TransactionOperation
  Direct Known Subclasses:
    ClearOperation, StatementOperation

      public abstract class ContextOperation
      extends Object
      implements TransactionOperation

  A TransactionOperation that operates on a specific (set of) contexts.
  Author:
    Arjohn Kampman, Leo Sauermann

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Resource[]` | `contexts`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ContextOperation(Resource... contexts)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object other)`
    `Resource[]` | `getContexts()`
    `int` | `hashCode()`
    `void` | `setContexts(Resource... contexts)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.http.protocol.transaction.operations.TransactionOperation

      `execute`

- - ### Field Detail

    - #### contexts

          protected Resource[] contexts

  - ### Constructor Detail

    - #### ContextOperation

          protected ContextOperation(Resource... contexts)

  - ### Method Detail

    - #### getContexts

          public Resource[] getContexts()

    - #### setContexts

          public void setContexts(Resource... contexts)

    - #### equals

          public boolean equals(Object other)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.